#pragma compile(Console, True)
#NoTrayIcon

If (Not @Compiled) Then
	MsgBox(0, "Error", "This script must be compiled to run correctly.")
	Exit
EndIf

Global $sIniPath = @ScriptDir & "\" & StringTrimRight(@ScriptName, 3) & "ini"
Global $sHotKey = IniRead($sIniPath, "General", "sHotKey", "{Insert}")
If (HotKeySet($sHotKey, "Toggle") = 1) Then
	ConsoleWrite("HotKeySet() called and '" & $sHotKey & "' hotkey registered" & @CRLF)
Else
	ConsoleWrite("HotKeySet() called but '" & $sHotKey & "' hotkey not registered" & @CRLF)
EndIf

Global $bMoveMouse = False
Global $bRandomPos = False

Global $iRandomX1 = 100
Global $iRandomY1 = 100
Global $iRandomX2 = 100
Global $iRandomY2 = 100

Global $iSleepTime = 100
Global $bWorking = False

Func Toggle()
	$bMoveMouse = StringToBool(IniRead($sIniPath, "OnStart", "bMoveMouse", "False"), False)
	If ($bWorking = False) And ($bMoveMouse = True) Then
		MouseMove(IniRead($sIniPath, "OnStart", "iMouseX", 100), IniRead($sIniPath, "OnStart", "iMouseY", 100), 0)
	EndIf
	$bRandomPos = StringToBool(IniRead($sIniPath, "InContinue", "bRandomPos", "False"), False)
	If ($bRandomPos = True) Then
		$iRandomX1 = IniRead($sIniPath, "InContinue", "iRandomX1", 100)
		$iRandomY1 = IniRead($sIniPath, "InContinue", "iRandomY1", 100)
		$iRandomX2 = IniRead($sIniPath, "InContinue", "iRandomX2", 100)
		$iRandomY2 = IniRead($sIniPath, "InContinue", "iRandomY2", 100)
	EndIf
	$iSleepTime = IniRead($sIniPath, "General", "iSleepTime", 100)
	$bWorking = Not $bWorking
	ConsoleWrite("Toggle() called, $bWorking = " & $bWorking & @CRLF)
EndFunc

Func StringToBool($sValue, $bDefault)
	$sLower = StringLower($sValue)
	If ($sLower = "true") Or ($sLower = "1") Then
		Return True
	ElseIf ($sLower = "false") Or ($sLower = "0") Then
		Return False
	EndIf
	Return $bDefault
EndFunc

While True
	If ($bWorking) Then
		MouseClick("left")
		If ($bRandomPos = True) Then MouseMove(Random($iRandomX1, $iRandomX2, 1), Random($iRandomY1, $iRandomY2, 1), 0)
	EndIf
	Sleep($iSleepTime)
WEnd
